<?php defined('MW_PATH') || exit('No direct script access allowed');

/**
 * HoopoemailExt
 *
 * @package hoopoemail.com
 * @link https://www.hoopoemail.com/
 * @license https://www.hoopoemail.com/license/
 */

class MwHoopoemailExt extends ExtensionInit
{
    // name of the extension as shown in the backend panel
    public $name = 'HoopoEmail';

    // description of the extension as shown in backend panel
    public $description = 'Warm-up system and mail analyses tools';

    // current version of this extension
    public $version = '1.0';

    // minimum app version
    public $minAppVersion = '2.0.0.0';

    // the author name
    public $author = 'HoopoEmail';

    // author website
    public $website = 'https://www.Hoopoemail.com/';

    // contact email address
    public $email = 'support@hoopoemail.com';

    // in which apps this extension is allowed to run
    public $allowedApps = array('*');

    // cli enabled
    public $cliEnabled = false;

    // can this extension be deleted? this only applies to core extensions.
    protected $_canBeDeleted = true;

    // can this extension be disabled? this only applies to core extensions.
    protected $_canBeDisabled = true;

    // run the extension
    public function run()
    {
        Yii::import('ext-mw-hoopoemail.common.models.*');
        if ($this->isAppName('backend')) {
            // add the url rules
            Yii::app()->urlManager->addRules(array(
                array('ext_mw_hoopoemail_settings/index', 'pattern' => 'extensions/mw-hoopoemail/settings'),
                array('ext_mw_hoopoemail_settings/<action>', 'pattern' => 'extensions/mw-hoopoemail/settings/*'),
                array('ext_mw_hoopoemail_test_server/<action>', 'pattern' => 'hoopoemail_test_server/<action>'),
            ));

            // add the controller
            Yii::app()->controllerMap['ext_mw_hoopoemail_settings'] = array(
                'class'     => 'ext-mw-hoopoemail.backend.controllers.Ext_mw_hoopoemail_settingsController',
                'extension' => $this,
            );
            // add the controller
            Yii::app()->controllerMap['ext_mw_hoopoemail_test_server'] = array(
                'class'     => 'ext-mw-hoopoemail.backend.controllers.Ext_mw_hoopoemail_testServerController',
                'extension' => $this,
            );
        }

        if ($this->getOption('enabled') != 'yes') {
            return;
        }
        if ($this->isAppName('customer')) {
            // add the url rules
            Yii::app()->urlManager->addRules(array(
                array('ext_mw_hoopoemail_test_server/warmup', 'pattern' => 'hoopoemail_test_server/warmup'),
            ));
            // add the controller
            Yii::app()->controllerMap['ext_mw_hoopoemail_test_server'] = array(
                'class'     => 'ext-mw-hoopoemail.backend.controllers.Ext_mw_hoopoemail_testServerController',
                'extension' => $this,
            );
        }

        hooks()->addAction('before_view_file_content',array($this,'_addForms'));
        hooks()->addAction('before_view_file_content',array($this,'_addForms'));
    }
    public function _addForms($collection)
    {
        if($collection->controller->id === 'delivery_servers' && $collection->controller->action->id === 'update') {
            $collection->controller->renderInternal(dirname(__FILE__) . '/common/views/forms/_test-form.php');
            $collection->controller->renderInternal(dirname(__FILE__) . '/common/views/forms/_inbox-rate-form.php');
        }
        if($collection->controller->id === 'campaigns' && $collection->controller->action->id === 'confirm') {
            $collection->controller->renderInternal(dirname(__FILE__) . '/common/views/forms/_campaign-form.php');
        }
    }

    // Add the landing page for this extension (settings/general info/etc)
    public function getPageUrl()
    {
        return Yii::app()->createUrl('ext_mw_hoopoemail_settings/index');
    }
}
