<?php defined('MW_PATH') || exit('No direct script access allowed');


/**
 * Controller file for HoopoEmail.com settings.
 *
 * @package hoopoemail.com
 * @link https://www.hoopoemail.com/
 * @license https://www.hoopoemail.com/license/
 */

class Ext_mw_hoopoemail_settingsController extends Controller
{
    // the extension instance
    public $extension;

    // move the view path
    public function getViewPath()
    {
        return Yii::getPathOfAlias('ext-mw-hoopoemail.backend.views.settings');
    }

    /**
     * Common settings for HoopoEmail.com
     */
    public function actionIndex()
    {
        $request = Yii::app()->request;
        $notify  = Yii::app()->notify;

        $model = new MwHoopoemailExtCommon();
        $model->populate();

        if ($request->isPostRequest) {
            $model->attributes = (array)$request->getPost($model->modelName, array());
            if ($model->validate()) {
                if($model->save()) {
                    $notify->addSuccess(Yii::t('app', 'Your form has been successfully saved!'));
                };
            } else {
                $notify->addError(Yii::t('app', 'Your form has a few errors, please fix them and try again!'));
            }
        }

        $this->setData(array(
            'pageMetaTitle'    => $this->data->pageMetaTitle . ' | '. Yii::t('ext_mw_hoopoemail', 'HoopoEmail.com'),
            'pageHeading'      => Yii::t('ext_mw_hoopoemail', 'HoopoEmail.com'),
            'pageBreadcrumbs'  => array(
                Yii::t('app', 'Extensions') => $this->createUrl('extensions/index'),
                Yii::t('ext_mw_hoopoemail', 'HoopoEmail.com') => $this->createUrl('ext_mw_hoopoemail_settings/index'),
            )
        ));

        $this->render('index', compact('model'));
    }
}
