<?php declare(strict_types=1);
defined('MW_PATH') or exit('No direct script access allowed');

/**
 * HoopoEmailExt Model
 *
 * @package hoopoemail.com
 * @link https://www.hoopoemail.com/
 * @license https://www.hoopoemail.com/license/
 */
/** @var Controller $controller */
$controller = controller();

/** @var Campaign $campaign */
$campaign = $controller->getData('campaign');

?>

<?php
if (($campaign->status !== Campaign::STATUS_SENT)) {
    /** @var CActiveForm $form */
    $form = $controller->beginWidget('CActiveForm', [
        'action'    => createUrl('ext_mw_hoopoemail_test_server/warmup'),
    ]); ?>
    <div class="box box-primary borderless">
        <div class="box-header">
            <h3 class="box-title">
                <?php echo CHtml::link(IconHelper::make('info'), '#page-info-validate', ['class' => 'btn btn-primary btn-xs btn-flat', 'title' => t('app', 'Info'), 'data-toggle' => 'modal']); ?>
                <?php echo 'Test campaign'; ?>
                <?php echo CHtml::hiddenField('campaign_uid',$campaign->campaign_uid); ?>
            </h3>
        </div>
        <div class="box-body">
            <p>
                Before sending this campaign, improve campaign delivery via hoopoemail.com warm-up solution, note that campaign send at time must be +2hr after warm-up time.
            </p>
        </div>
        <div class="box-footer">
            <div class="pull-right">
                <button type="submit" class="btn btn-primary btn-flat"><?php echo IconHelper::make('fa-send') . '&nbsp;' . 'Warm-up campaign request'; ?></button>
            </div>
            <div class="clearfix"><!-- --></div>
        </div>
        <div id="result" style="display: none;">

        </div>
    </div>
    <?php $controller->endWidget(); ?>
    <hr />
    <!-- modals -->
    <div class="modal modal-info fade" id="page-info-validate" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><?php echo IconHelper::make('info') . t('app', 'Info'); ?></h4>
                </div>
                <div class="modal-body">
                    <p>
                        Before sending this campaign, improve campaign delivery via hoopoemail.com warm-up solution, note that campaign send at time must be +2hr after warm-up time.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <?php
} ?>
