<?php declare(strict_types=1);
defined('MW_PATH') or exit('No direct script access allowed');

/**
 * HoopoEmailExt Model
 *
 * @package hoopoemail.com
 * @link https://www.hoopoemail.com/
 * @license https://www.hoopoemail.com/license/
 */
/** @var Controller $controller */
$controller = controller();

/** @var DeliveryServer $server */
$server = $controller->getData('server');

?>

<?php
if (!$server->getIsNewRecord() && ($server->status === DeliveryServer::STATUS_INACTIVE) && ($server->type === DeliveryServer::TRANSPORT_SMTP)) {
    /** @var CActiveForm $form */
    $form = $controller->beginWidget('CActiveForm', [
        'action'    => createUrl('ext_mw_hoopoemail_test_server/test'),
    ]); ?>
    <div class="box box-primary borderless">
        <div class="box-header">
            <h3 class="box-title">
                <?php echo CHtml::link(IconHelper::make('info'), '#inbox-rate', ['class' => 'btn btn-primary btn-xs btn-flat', 'title' => t('app', 'Info'), 'data-toggle' => 'modal']); ?>
                <?php echo 'Check inbox rate'; ?>
                <?php echo CHtml::hiddenField('inbox_server_id',$server->server_id); ?>
            </h3>
        </div>
        <div class="box-body">
            <p>
                Here you can check your smtp to test inbox rate in real inbox like gmail, outlook, yandex via hoopoemail.com
            </p>
        </div>
        <div class="box-footer">
            <div class="pull-right">
                <button type="submit" class="btn btn-primary btn-flat"><?php echo IconHelper::make('fa-send') . '&nbsp;' . t('servers', 'Test server'); ?></button>
                <?php
                if($campaign_uid = app()->request->cookies['inbox_rate_of_campaign_uid'] ?? false) {
                    echo CHtml::htmlButton(IconHelper::make('fa-check') . '&nbsp;' . 'Check Result', ['id' => 'campaign-rates-result-btn', 'class' => 'btn btn-primary btn-flat']);
                }
                ?>
            </div>
            <div class="clearfix"><!-- --></div>
        </div>
        <div id="campaign_rates_result" style="display: none;">

        </div>
    </div>
    <?php $controller->endWidget(); ?>
    <hr />
    <!-- modals -->
    <div class="modal modal-info fade" id="inbox-rate" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><?php echo IconHelper::make('info') . t('app', 'Info'); ?></h4>
                </div>
                <div class="modal-body">
                    <p>
                        Here you can check your smtp to test inbox rate in real inbox like gmail, outlook, yandex via hoopoemail.com
           Please register in the HoopoeMail app. when you register you can create api key and start testing your email system
                </div>
            </div>
        </div>
    </div>
    <?php
} ?>
<script>
    jQuery(document).ready(function($) {
        if ($('meta[name=csrf-token-name]').length && $('meta[name=csrf-token-value]').length) {
            var csrfTokenName = $('meta[name=csrf-token-name]').attr('content');
            var csrfTokenValue = $('meta[name=csrf-token-value]').attr('content');
            ajaxData[csrfTokenName] = csrfTokenValue;
        }
        $(document).on('click', '#campaign-rates-result-btn', function(){
            ajaxData['campaign_uid'] = '<?php CHtml::encode($campaign_uid); ?>';
            $.post('<?= createAbsoluteUrl('ext_mw_hoopoemail_test_server/result') ?>', ajaxData, function(result){
                if(result.status === 'success') {
                    let campaign_results = result.data;
                    let check_result = $('#campaign_rates_result');
                    check_result.css('display', 'block')
                    check_result.empty();
                    check_result.append(
                        `<div class="table-responsive">
                        <table class="table table-responsive table-bordered table-hover table-striped">
                            <thead>
                            <tr>
                                <th>Client</th>
                                <th>Inbox Rate</th>
                            </tr>
                            </thead>
                            <tbody id="campaign-result-table">
                            </tbody>
                        </table>
                    </div>`
                    );
                    Object.keys(campaign_results).forEach((k)=> {
                        $('#campaign-result-table').append(`
                                    <tr>
                                        <td>${k}</td>
                                        <td>${campaign_results[k]}</td>
                                    </tr>
                                `)
                    });
                }else {
                    let check_result = $('#campaign_rates_result');
                    check_result.css('display', 'block')
                    check_result.html('<div class="alert alert-warning">Try again later</div>');
                }
            });
        });
    });

</script>
